LOCKFS-NOTIFY(1)

NOM
lockfs-notify - notifier à l'utilisatrice les possibilités de modification des fs

SYNOPSIS
lockfs-notify [-a|--always|-l|--lockfs|-n|--nolockfs] [-t TEMPS|--expire-time=TEMPS]
lockfs-notify -h|--help

DESCRIPTION
lockfs-notify est une enveloppe autour de notify-send(1). Il est utilisé pour envoyer une notification aux utilisatrices au démarrage d'une session, pour dire si des changements temporaires ou permanents sont permis sur quels systèmes de fichiers (ou plus précisément sur quels points de montage).

OPTIONS
Si plusieurs des options -a, -l ou -n (ou leurs formes longues, respectivement --always, --lockfs ou --nolockfs), sont invoquées, la dernière écrase les précédentes. L'invocation de ces options écrase aussi la variable 'BILIBOP_LOCKFS_NOTIFY_POLICY' qui peut être définie dans bilibop.conf(5).

-a, --always
    Toujours envoyer une notification: à propos des systèmes de fichiers sur lesquels les modifications seront permanentes, et à propos des systèmes de fichiers sur lesquels les modifications seront temporaires. Donc, si la fonctionnalité bilibop-lockfs est activée, et qu'un ou plusieurs points de montage ont été listés dans /etc/bilibop/bilibop.conf comme ne devant pas être verrouillés, deux notifications sont envoyées à l'utilisatrice.

-h, --help
    Affiche un court message d'aide sur la sortie standard et quitte.

-l, --lockfs
    Envoie une notification seulement à propos des systèmes de fichiers pour lesquels la fonction 'lockfs' a été activée, c'est à dire à propos des points de montage pour lesquels les modifications ne peuvent être que temporaires. Toutes ces modifications seront perdues au prochain arrêt de l'ordinateur.

-n, --nolockfs
    Envoie une notification seulement à propos des systèmes de fichiers pour lesquels la fonction 'lockfs' a été désactivée, c'est à dire à propos des points de montage pour lesquels les modifications sont écrites sur le disque. Toutes ces modifications seront conservées après l'arrêt de l'ordinateur.

-t TEMPS, --expire-time=TEMPS
    Spécifie le délai d'attente en millisecondes après lequel la notification arrive à expiration, c'est à dire disparaît du bureau. Les valeurs de TEMPS inférieures à '1000' (1 seconde) désactivent le délai d'attente et la notification n'expire pas (reste indéfiniment visible sur le bureau). Si TEMPS n'est pas un nombre entier, cette option est silencieusement ignorée.

FICHIERS
/etc/xdg/autostart/lockfs-notify.desktop

VOIR AUSSI
bilibop(7), bilibop.conf(5), notify-send(1)

AUTEUR
Cette page de manuel a été traduite de l'anglais par Christophe Blanc <algebre@no-log.org> dans le cadre du projet bilibop.